%define _requires_exceptions devel(libnspr4\\|devel(libplc4\\|devel(libplds4

%define real_version	1.8.5
%define mozilla_version 1.0.0
%define short_version	185

%define oname		mozjs
%define major		1.0
%define	libname		%mklibname %{oname} %{short_version} %{major}
%define	develname	%mklibname %{oname} %{short_version} -d
%define realname	js

Summary:	SpiderMonkey, the Mozilla JavaScript engine
Name:		js185
Version:	1.85
Release:	%mkrel 1
License:	MPL
Group:		Development/Other
URL:		http://www.mozilla.org/js/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/%{realname}%{short_version}-%{mozilla_version}.tar.xz
Patch0:		js-1.8.5-fix-destdir.patch
Patch1:		js-allow-to-build-against-system-libffi.patch
Patch2:		js-force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch
Patch3:		js-bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
Patch4:		js-bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch
Patch5:		js-bug-589744-Fallback-to-perf-measurement-stub-when-pe.patch
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	edit-devel
BuildRequires:	nspr-devel
BuildRequires:	python
BuildRequires:	zip
BuildRequires:	readline-devel
BuildRequires:	autoconf2.1 libffi-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{libname}
Summary:	JavaScript engine library
Group:		System/Libraries

%description -n	%{libname}
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{develname}
Summary:	The header files for %{libname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libjs-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d js 1}
Requires:	nspr-devel

%description -n	%{develname}
These are the header files for development with SpiderMonkey.

%prep
%setup -q -n %{realname}-%{real_version}/js/src
%patch0 -p3 -b .destdir~
%patch1 -p3
%patch2 -p3
%patch3 -p3
%patch4 -p3
%patch5 -p3
autoconf-2.13

%build
# MOZILLA_VERSION is needed to get Version field in pkgconfig files
export MOZILLA_VERSION=%{real_version}
%configure2_5x \
%ifarch %arm
	--build=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--host=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--disable-methodjit \
	--enable-system-ffi \
%endif
	--enable-readline \
	--enable-threadsafe \
	--enable-ctypes \
	--with-system-nspr
%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_includes %{buildroot}%{_includedir}/js/jsautocfg.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc README.html
%{_libdir}/lib%{oname}%{short_version}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/js
%multiarch %{multiarch_includedir}/js/jsautocfg.h
%{_includedir}/js/*
%{_libdir}/lib%{oname}%{short_version}-%{major}.a
%{_libdir}/lib%{oname}%{short_version}.so
%{_libdir}/pkgconfig/%{oname}%{short_version}.pc


%changelog
* Fri Oct 18 2013 billybot <billybot> 1.85-1pclos2013
- re-import for cinnamon
